Package com.io7m.cardant.model

# Record Class CAItemSearchParameters

java.lang.Object
java.lang.Record
com.io7m.cardant.model.CAItemSearchParameters

Record Components:
  `locationMatch` - The item location search behaviour
  `nameMatch` - The name match expression
  `descriptionMatch` - The description match expression
  `typeMatch` - The type match expression
  `serialMatch` - The serial number match expression
  `metadataMatch` - The metadata match expression
  `ordering` - The ordering specification
  `pageSize` - The page size

All Implemented Interfaces:
  `CASearchParametersType`

public record CAItemSearchParameters(CAItemLocationMatchType locationMatch, CAComparisonFuzzyType<String> nameMatch, CAComparisonFuzzyType<String> descriptionMatch, CAComparisonSetType<com.io7m.lanark.core.RDottedName> typeMatch, CAComparisonExactType<CAItemSerial> serialMatch, CAMetadataElementMatchType metadataMatch, CAItemColumnOrdering ordering, long pageSize) extends Record implements CASearchParametersType
The immutable parameters required to search items.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAItemSearchParameters(CAItemLocationMatchType locationMatch, CAComparisonFuzzyType<String> nameMatch, CAComparisonFuzzyType<String> descriptionMatch, CAComparisonSetType<com.io7m.lanark.core.RDottedName> typeMatch, CAComparisonExactType<CAItemSerial> serialMatch, CAMetadataElementMatchType metadataMatch, CAItemColumnOrdering ordering, long pageSize)`
  The immutable parameters required to search items.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAComparisonFuzzyType<String>`
  `descriptionMatch()`
  Returns the value of the `descriptionMatch` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `CAItemLocationMatchType`
  `locationMatch()`
  Returns the value of the `locationMatch` record component.
  `CAMetadataElementMatchType`
  `metadataMatch()`
  Returns the value of the `metadataMatch` record component.
  `CAComparisonFuzzyType<String>`
  `nameMatch()`
  Returns the value of the `nameMatch` record component.
  `CAItemColumnOrdering`
  `ordering()`
  Returns the value of the `ordering` record component.
  `long`
  `pageSize()`
  Returns the value of the `pageSize` record component.
  `CAComparisonExactType<CAItemSerial>`
  `serialMatch()`
  Returns the value of the `serialMatch` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `CAComparisonSetType<com.io7m.lanark.core.RDottedName>`
  `typeMatch()`
  Returns the value of the `typeMatch` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAItemSearchParameters

    public CAItemSearchParameters(CAItemLocationMatchType locationMatch, CAComparisonFuzzyType<String> nameMatch, CAComparisonFuzzyType<String> descriptionMatch, CAComparisonSetType<com.io7m.lanark.core.RDottedName> typeMatch, CAComparisonExactType<CAItemSerial> serialMatch, CAMetadataElementMatchType metadataMatch, CAItemColumnOrdering ordering, long pageSize)
    The immutable parameters required to search items.
    Parameters:
      `locationMatch` - The location match expression
      `nameMatch` - The name match expression
      `descriptionMatch` - The description match expression
      `typeMatch` - The type match expression
      `serialMatch` - The serial number match expression
      `metadataMatch` - The metadata match expression
      `ordering` - The ordering specification
      `pageSize` - The page size

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### locationMatch

    public CAItemLocationMatchType locationMatch()
    Returns the value of the `locationMatch` record component.
    Returns:
      the value of the `locationMatch` record component

  - ### nameMatch

    public CAComparisonFuzzyType<String> nameMatch()
    Returns the value of the `nameMatch` record component.
    Returns:
      the value of the `nameMatch` record component

  - ### descriptionMatch

    public CAComparisonFuzzyType<String> descriptionMatch()
    Returns the value of the `descriptionMatch` record component.
    Returns:
      the value of the `descriptionMatch` record component

  - ### typeMatch

    public CAComparisonSetType<com.io7m.lanark.core.RDottedName> typeMatch()
    Returns the value of the `typeMatch` record component.
    Returns:
      the value of the `typeMatch` record component

  - ### serialMatch

    public CAComparisonExactType<CAItemSerial> serialMatch()
    Returns the value of the `serialMatch` record component.
    Returns:
      the value of the `serialMatch` record component

  - ### metadataMatch

    public CAMetadataElementMatchType metadataMatch()
    Returns the value of the `metadataMatch` record component.
    Returns:
      the value of the `metadataMatch` record component

  - ### ordering

    public CAItemColumnOrdering ordering()
    Returns the value of the `ordering` record component.
    Returns:
      the value of the `ordering` record component

  - ### pageSize

    public long pageSize()
    Returns the value of the `pageSize` record component.
    Specified by:
      `pageSize` in interface `CASearchParametersType`
    Returns:
      the value of the `pageSize` record component